PacketHeaderDescr Class Reference

`#include <Abstract_Socket.hh>`

## Public Types

enum | HeaderByteOrder { Header_MSB, Header_LSB }

## Public Member Functions

| PacketHeaderDescr (unsigned long p_length_offset, unsigned long p_nr_bytes_in_length, HeaderByteOrder p_byte_order, long p_value_offset=0, unsigned long p_length_multiplier=1)
unsigned long | Get_Message_Length (const unsigned char *buffer_pointer) const
unsigned long | Get_Valid_Header_Length () const

## Private Attributes

unsigned long | length_offset
unsigned long | nr_bytes_in_length
HeaderByteOrder | byte_order
long | value_offset
unsigned long | length_multiplier

## Member Enumeration Documentation

## HeaderByteOrder

enum PacketHeaderDescr::HeaderByteOrder

Enumerator
Header_MSB |
Header_LSB |

## Constructor & Destructor Documentation

## PacketHeaderDescr()

PacketHeaderDescr::PacketHeaderDescr | ( | unsigned long | p_length_offset,
|  | unsigned long | p_nr_bytes_in_length,
|  | HeaderByteOrder | p_byte_order,
|  | long | p_value_offset = `0`,
|  | unsigned long | p_length_multiplier = `1`
| ) |  |

inline

## Member Function Documentation

## Get_Message_Length()

unsigned long PacketHeaderDescr::Get_Message_Length | ( | const unsigned char * | buffer_pointer | ) | const

## Get_Valid_Header_Length()

unsigned long PacketHeaderDescr::Get_Valid_Header_Length | ( |  | ) | const

inline

## Member Data Documentation

## byte_order

HeaderByteOrder PacketHeaderDescr::byte_order

private

## length_multiplier

unsigned long PacketHeaderDescr::length_multiplier

private

## length_offset

unsigned long PacketHeaderDescr::length_offset

private

## nr_bytes_in_length

unsigned long PacketHeaderDescr::nr_bytes_in_length

private

## value_offset

long PacketHeaderDescr::value_offset

private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/Abstract_Socket.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/Abstract_Socket.cc